# ILMultiDimensionalGeometricMean (ARX API Documentation)

org.deidentifier.arx.metric.v2

## Class ILMultiDimensionalGeometricMean

- java.lang.Object
- - org.deidentifier.arx.metric.InformationLoss<double[]>
  - - org.deidentifier.arx.metric.v2.AbstractILMultiDimensional
    - - org.deidentifier.arx.metric.v2.AbstractILMultiDimensionalReduced
      - - org.deidentifier.arx.metric.v2.ILMultiDimensionalGeometricMean

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<InformationLoss<?>>

      public class ILMultiDimensionalGeometricMean
      extends AbstractILMultiDimensionalReduced

  This class implements an information loss which can be represented as a decimal number per quasi-identifier. As an aggregate function, the geometric mean is applied. To handle zero values while not violating guarantees required for pruning based on lower bounds, 1d is added to every individual value and 1d is subtracted from the final result.
  See Also:
    Serialized Form

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `InformationLoss<double[]>` | `clone()` Override this to implement a variant.

    - ### Methods inherited from class org.deidentifier.arx.metric.v2.AbstractILMultiDimensionalReduced

      `compareTo, getValue, hashCode, relativeTo, toString`

    - ### Methods inherited from class org.deidentifier.arx.metric.v2.AbstractILMultiDimensional

      `equals, max, min`

    - ### Methods inherited from class org.deidentifier.arx.metric.InformationLoss

      `createInformationLoss, getMetadata`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### clone

          public InformationLoss<double[]> clone()

      Description copied from class: `AbstractILMultiDimensionalReduced`
      Override this to implement a variant.
      Specified by:
        `clone` in class `AbstractILMultiDimensionalReduced`